---------------------
PatchSet 8296 
Date: 2006/06/25 12:00:09
Author: serassio
Branch: nt
Tag: (none) 
Log:
Merged all Windows specific release notes into release-2.6.* files

Members: 
	doc/Makefile.am:1.5.8.2->1.5.8.3 
	doc/win32-relnotes.html:1.1.20.1->1.1.20.2(DEAD) 
	doc/release-notes/release-2.6.html:1.2.4.10->1.2.4.11 
	doc/release-notes/release-2.6.sgml:1.2.4.11->1.2.4.12 

Index: squid/doc/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Makefile.am,v
retrieving revision 1.5.8.2
retrieving revision 1.5.8.3
diff -u -r1.5.8.2 -r1.5.8.3
--- squid/doc/Makefile.am	31 May 2006 10:20:00 -0000	1.5.8.2
+++ squid/doc/Makefile.am	25 Jun 2006 12:00:09 -0000	1.5.8.3
@@ -32,8 +32,7 @@
 EXTRA_DIST = \
 	squid.8.in \
 	cachemgr.cgi.8.in \
-	debug-sections.txt \
-	win32-relnotes.html
+	debug-sections.txt 
 
 CLEANFILES = \
 	squid.8 \
--- squid/doc/win32-relnotes.html	Wed Feb 14 01:16:31 2007
+++ /dev/null	Wed Feb 14 01:16:31 2007
@@ -1,156 +0,0 @@
-<HTML>
-<!-- This document was created with HTMLed32      -->
-<HEAD>
-<TITLE>WIN32 Squid Release Notes</TITLE>
-</HEAD>
-
-<BODY>
-
-<H1>WIN32 Squid Release Notes</H1>
-<HR>
-<H2>Windows Service run mode</H2>
-
-<P>When Squid is compiled as a Windows service, the -N command line switch is disabled, and default run mode of
-Squid is no daemon (=no service) mode, so is possible to run Squid from command line
-for debug purpose with all command line options available.</P>
-<P>On Windows 2000/XP/2003 the service is configured to use the Windows Service Recovery option restarting
-automatically after 60 seconds.</P>
-
-<H2>Usage</H2>
-
-<P>The <B>squid -?</B> command gives the following output:
-
-<PRE>Usage: squid [-dhirsvzCDFRVYX] [-f config-file] [-[au] port] [-k signal] [-n nam
-e] [-O CommandLine]
-       -a port   Specify HTTP port number (default: 3128).
-       -d level  Write debugging to stderr also.
-       -f file   Use given config-file instead of
-                 c:/squid/etc/squid.conf
-       -h        Print help message.
-       -i        Installs as a Windows Service (see -n option).
-       -k reconfigure|rotate|shutdown|interrupt|kill|debug|check|parse
-                 Parse configuration file, then send signal to
-                 running copy (except -k parse) and exit.
-       -n name   Specify Windows Service name to use for service operations
-                 default is: SquidNT.
-       -r        Removes a Windows Service (see -n option).
-       -s        Enable logging to syslog.
-       -u port   Specify ICP port number (default: 3130), disable with 0.
-       -v        Print version.
-       -z        Create swap directories
-       -C        Do not catch fatal signals.
-       -D        Disable initial DNS tests.
-       -F        Don't serve any requests until store is rebuilt.
-       -O options
-                 Set Windows Service Command line options in Registry.
-       -R        Do not set REUSEADDR on port.
-       -S        Double-check swap during rebuild.
-       -V        Virtual host httpd-accelerator.
-       -X        Force full debugging.
-       -Y        Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.
-</PRE>
-
-<P>The service installation is made with <B>-i</B> command line switch, it's possible to use
-<B>-f</B> switch at the same time for specify a different config-file settings for the Squid
-Service that is stored on Registry.</P>
-<P>A new <B>-n</B> switch specify the Windows Service Name, so multiple Squid instance are allowed.
-"<I>SquidNT</I>" is the default when the switch is not used.</P>
-
-<P>So the install service syntax is:
-<PRE>squid -i [-f file] [-n name]
-</PRE></P>
-<P>To start as service is used a "hidden" --ntservice:service-name command line switch,
-where service-name is the name specified with -n options at service install time.</P>
-
-<P>Service uninstallation is made with <B>-r</B> command line switch plus the appropriate
-<B>-n</B> switch.</P>
-
-<P>The -k switch family must be used with the appropriate -f and -n switches, so the syntax is:
-
-<PRE>squid -k command [-f file] -n service-name</PRE>
-where service-name is the name specified with -n options at service install time.</P>
-
-<P>To use Squid original command line, the new -O switch must be used ONCE, the sintax is:
-
-<PRE>squid -O cmdline [-n service-name]</PRE>
-
-If multiple service command line options must be specified, use quote. The -n switch is
-needed only when non default service name is in use.<BR><BR>
-Don't use the "Start parameters" in the Windows 2000/XP/2003 Service applet: they are specific to
-Windows services functionality and Squid is not designed for understand they</P>
-
-<P>Example:
-
-<PRE>squid -O "-D -a 8080" -n squidsvc</PRE></P>
-
-
-<H2>PSAPI.DLL (Process Status Helper) Considerations</H2>
-
-<P>The process status helper functions make it easier for you to obtain information about
-processes and device drivers running on Microsoft® Windows NT®/Windows® 2000. These
-functions are available in PSAPI.DLL, which is distributed in the Microsoft® Platform
-Software Development Kit (SDK). The same information is generally available through the
-performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
-freely redistributable.</P>
-
-<P>PSAPI.DLL is available only on Windows NT, 2000, XP and .NET. The implementation in Squid is
-aware of this, and try to use it only on the rigth platform.</P>
-
-<P>On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
-you can find it on Windows NT Resource KIT. If you have problem, it can be
-downloaded from here:
-<A HREF="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE">http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE</A></P>
-
-<P>On Windows 2000 and later it is available installing the Windows Support Tools, located on the
-Support\Tools folder of the installation Windows CD-ROM.</P>
-
-
-<H2>Registry DNS lookup</H2>
-
-<P>On Windows platforms, if no value is specified in the dns_nameservers option on
-squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
-taken from the Windows registry, both static and dynamic DHCP configurations
-are supported.</P>
-
-
-<H2>Awin32 fs module</H2>
-
-<P>awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
-in squid.conf is identical to aufs, but You nedd to specify 'awin32' instead 'aufs' as
-cache type.</P>
-
-<H2>Compatibility Notes
-</H2><UL>
-      <li>It's recommended to use <b>/</b> char in Squid paths instead of <b>\</b> </li>
-      <li>Paths with spaces (like <i>C:\Programs Files\Squid</i>) are <b>NOT</b>
-supported by Squid </li>
-      <li>When using ACL like <i>acl aclname acltype "file"</i> the file must be in DOS text format (CR+LF)
-and the full Windows path must be specified, for example:
-        <pre>acl blocklist url_regex -i "c:/squid/etc/blocked1.txt"<br></pre>
-      </li>
-      <li>The WIN32 equivalent of <b>/dev/null</b> is <b>NUL</b> </li>
-      <li>Squid doesn't know how to run external helpers based on
-scripts, like .bat, .cmd, .vbs, .pl, etc. So in squid.conf the
-interpreter path must be always specified, for example:
-        <pre>redirect_program c:/perl/bin/perl.exe c:/squid/libexec/redir.pl<br>redirect_program c:/winnt/system32/cmd.exe /C c:/squid/libexec/redir.cmd<br></pre>
-      </li>
-      <LI>When Squid runs in command line mode, the launching user account must have administrative privilege on the system</LI>
-      <LI>"Start parameters" in the Windows 2000/XP/2003 Service applet cannot be used
-</UL>
-
-<H2>Known Limitations:</H2>
-<UL>
-      <li>Squid features not operational:<BR>
-DISKD: needs to be ported - Volunteers are welcome<BR>
-WCCP: cannot work because GRE support on Windows is missing - Volunteers are welcome<BR>
-Transparent Proxy: missing Windows non commercial interception driver</li>
-      <li>Some code sections can make blocking calls. </li>
-      <li>Some external helpers may not work. </li>
-      <li>File Descriptors number hard-limited to 2048 </li>
-</UL>
-<HR>
-<EM>To report a BUG, e-mail on <A HREF="mailto:squidnt@acmeconsulting.it">squidnt@acmeconsulting.it</A>.<BR>
-The latest version and documentation can be found on <A HREF="http://www.acmeconsulting.it/SquidNT.htm">http://www.acmeconsulting.it/SquidNT.htm</A>.</EM>
-<HR>
-</BODY>
-</HTML>
Index: squid/doc/release-notes/release-2.6.html
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/release-notes/release-2.6.html,v
retrieving revision 1.2.4.10
retrieving revision 1.2.4.11
diff -u -r1.2.4.10 -r1.2.4.11
--- squid/doc/release-notes/release-2.6.html	25 Jun 2006 11:36:53 -0000	1.2.4.10
+++ squid/doc/release-notes/release-2.6.html	25 Jun 2006 12:00:10 -0000	1.2.4.11
@@ -7,7 +7,7 @@
 <BODY>
 <H1>Squid 2.6.STABLE1 release notes</H1>
 
-<H2>Squid Developers</H2>$Id: release-2.6.html,v 1.2.4.10 2006/06/25 11:36:53 serassio Exp $
+<H2>Squid Developers</H2>$Id: release-2.6.html,v 1.2.4.11 2006/06/25 12:00:10 serassio Exp $
 <HR>
 <EM>This document contains the release notes for version 2.6 of Squid.
 Squid is a WWW Cache application developed by the Web Caching community.
@@ -204,7 +204,39 @@
 restarting automatically after 60 seconds.
 <DL>
 
-<DT><B>Usage</B><DD><P>Some new command line options was added for the Windows service support:<BR></P>
+<DT><B>Usage</B><DD><P>The "squid -?" command gives the following output:</P>
+<P>
+<PRE>
+Usage: squid [-hirvzCDFRYX] [-d level] [-s | -l facility] [-f config-file] [-u port] [-k signal] [-n name] [-O command-line]
+       -d level  Write debugging to stderr also.
+       -f file   Use given config-file instead of
+                 c:/squid/etc/squid.conf
+       -h        Print help message.
+       -i        Installs as a Windows Service (see -n option).
+       -k reconfigure|rotate|shutdown|interrupt|kill|debug|check|parse
+                 Parse configuration file, then send signal to
+                 running copy (except -k parse) and exit.
+       -n name   Specify Windows Service name to use for service operations
+                 default is: Squid.
+       -r        Removes a Windows Service (see -n option).
+       -s | -l facility
+                 Enable logging to syslog.
+       -u port   Specify ICP port number (default: 3130), disable with 0.
+       -v        Print version.
+       -z        Create swap directories
+       -C        Do not catch fatal signals.
+       -D        Disable initial DNS tests.
+       -F        Don't serve any requests until store is rebuilt.
+       -N        No daemon mode.
+       -O "options"
+                 Set Windows Service Command line options in Registry.
+       -R        Do not set REUSEADDR on port.
+       -S        Double-check swap during rebuild.
+       -X        Force full debugging.
+       -Y        Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.
+</PRE>
+</P>
+<P>Some new command line options was added for the Windows service support:<BR></P>
 <P>The service installation is made with -i command line switch, it's possible to use -f switch at
 the same time for specify a different config-file settings for the Squid Service that will be
 stored on the Windows Registry.</P>
@@ -244,6 +276,24 @@
 </P>
 <P>
 <DL>
+<DT><B>PSAPI.DLL (Process Status Helper) Considerations</B><DD><P>The process status helper functions make it easier for you to obtain information about
+processes and device drivers running on Microsoft® Windows NT®/Windows® 2000. These
+functions are available in PSAPI.DLL, which is distributed in the Microsoft® Platform
+Software Development Kit (SDK). The same information is generally available through the
+performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
+freely redistributable.</P>
+<P>PSAPI.DLL is available only on Windows NT, 2000, XP and .NET. The implementation in Squid is
+aware of this, and try to use it only on the rigth platform.</P>
+<P>On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
+you can find it on Windows NT Resource KIT. If you have problem, it can be
+downloaded from here:
+<A HREF="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE">http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE</A></P>
+<P>On Windows 2000 and later it is available installing the Windows Support Tools, located on the
+Support\Tools folder of the installation Windows CD-ROM.</P>
+</DL>
+</P>
+<P>
+<DL>
 <DT><B>Registry DNS lookup</B><DD><P>On Windows platforms, if no value is specified in the <EM>dns_nameservers</EM> option on
 squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
 taken from the Windows registry, both static and dynamic DHCP configurations
@@ -252,6 +302,14 @@
 </P>
 <P>
 <DL>
+<DT><B>Awin32 fs module</B><DD><P>awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
+in squid.conf is identical to aufs, but You nedd to specify 'awin32' instead 'aufs' as
+cache type.</P>
+</DL>
+</P>
+
+<P>
+<DL>
 <DT><B>Compatibility Notes</B><DD><P>
 <UL>
 <LI>It's recommended to use '/' char in Squid paths instead of '\'</LI>
@@ -292,6 +350,7 @@
 </LI>
 <LI>Some code sections can make blocking calls.</LI>
 <LI>Some external helpers may not work.</LI>
+<LI>File Descriptors number hard-limited to 2048.</LI>
 </UL>
 </P>
 </DL>
Index: squid/doc/release-notes/release-2.6.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/release-notes/release-2.6.sgml,v
retrieving revision 1.2.4.11
retrieving revision 1.2.4.12
diff -u -r1.2.4.11 -r1.2.4.12
--- squid/doc/release-notes/release-2.6.sgml	25 Jun 2006 11:36:53 -0000	1.2.4.11
+++ squid/doc/release-notes/release-2.6.sgml	25 Jun 2006 12:00:10 -0000	1.2.4.12
@@ -2,7 +2,7 @@
 <article>
 <title>Squid 2.6.STABLE1 release notes</title>
 <author>Squid Developers</author>
-<date>$Id: release-2.6.sgml,v 1.2.4.11 2006/06/25 11:36:53 serassio Exp $</date>
+<date>$Id: release-2.6.sgml,v 1.2.4.12 2006/06/25 12:00:10 serassio Exp $</date>
 
 <abstract>
 This document contains the release notes for version 2.6 of Squid.
@@ -177,6 +177,37 @@
 
 <tag>Usage</tag>
 
+The "squid -?" command gives the following output:
+
+<verb>Usage: squid [-hirvzCDFRYX] [-d level] [-s | -l facility] [-f config-file] [-u port] [-k signal] [-n name] [-O command-line]
+       -d level  Write debugging to stderr also.
+       -f file   Use given config-file instead of
+                 c:/squid/etc/squid.conf
+       -h        Print help message.
+       -i        Installs as a Windows Service (see -n option).
+       -k reconfigure|rotate|shutdown|interrupt|kill|debug|check|parse
+                 Parse configuration file, then send signal to
+                 running copy (except -k parse) and exit.
+       -n name   Specify Windows Service name to use for service operations
+                 default is: Squid.
+       -r        Removes a Windows Service (see -n option).
+       -s | -l facility
+                 Enable logging to syslog.
+       -u port   Specify ICP port number (default: 3130), disable with 0.
+       -v        Print version.
+       -z        Create swap directories
+       -C        Do not catch fatal signals.
+       -D        Disable initial DNS tests.
+       -F        Don't serve any requests until store is rebuilt.
+       -N        No daemon mode.
+       -O "options"
+                 Set Windows Service Command line options in Registry.
+       -R        Do not set REUSEADDR on port.
+       -S        Double-check swap during rebuild.
+       -X        Force full debugging.
+       -Y        Only return UDP_HIT or UDP_MISS_NOFETCH during fast reload.
+</verb>
+
 Some new command line options was added for the Windows service support:<newline>
 
 The service installation is made with -i command line switch, it's possible to use -f switch at
@@ -212,6 +243,28 @@
 </descrip>
 
 <descrip>
+<tag>PSAPI.DLL (Process Status Helper) Considerations</tag>
+
+The process status helper functions make it easier for you to obtain information about
+processes and device drivers running on Microsoft® Windows NT®/Windows® 2000. These
+functions are available in PSAPI.DLL, which is distributed in the Microsoft® Platform
+Software Development Kit (SDK). The same information is generally available through the
+performance data in the registry, but it is more difficult to get to it. PSAPI.DLL is
+freely redistributable.
+
+PSAPI.DLL is available only on Windows NT, 2000, XP and .NET. The implementation in Squid is
+aware of this, and try to use it only on the rigth platform.
+
+On Windows NT PSAPI.DLL can be found as component of many applications, if you need it,
+you can find it on Windows NT Resource KIT. If you have problem, it can be
+downloaded from here:
+<url url="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE" name="http://download.microsoft.com/download/platformsdk/Redist/4.0.1371.1/NT4/EN-US/psinst.EXE">
+
+On Windows 2000 and later it is available installing the Windows Support Tools, located on the
+Support\Tools folder of the installation Windows CD-ROM.
+</descrip>
+
+<descrip>
 <tag>Registry DNS lookup</tag>
 On Windows platforms, if no value is specified in the <em/dns_nameservers/ option on
 squid.conf or in the /etc/resolv.conf file, the list of DNS name servers are
@@ -220,6 +273,15 @@
 </descrip>
 
 <descrip>
+<tag>Awin32 fs module</tag>
+
+awin32 is a native WIN32 Async I/O Squid fs module derived from aufs. Configuration
+in squid.conf is identical to aufs, but You nedd to specify 'awin32' instead 'aufs' as
+cache type.
+</descrip>
+
+
+<descrip>
 <tag>Compatibility Notes</tag>
 <itemize>
 <item>It's recommended to use '/' char in Squid paths instead of '\'
@@ -251,6 +313,7 @@
 </itemize>
 <item>Some code sections can make blocking calls.
 <item>Some external helpers may not work.
+<item>File Descriptors number hard-limited to 2048.
 </itemize>
 </descrip>
 
